---
Style/GuardClause:
  # Offense count: 1014
  # Temporarily disabled due to too many offenses
  Enabled: false
  Exclude:
    - 'app/controllers/admin/users_controller.rb'
    - 'app/controllers/application_controller.rb'
    - 'app/controllers/chaos_controller.rb'
    - 'app/controllers/clusters/clusters_controller.rb'
    - 'app/controllers/concerns/accepts_pending_invitations.rb'
    - 'app/controllers/concerns/authenticates_with_two_factor.rb'
    - 'app/controllers/concerns/controller_with_cross_project_access_check.rb'
    - 'app/controllers/concerns/creates_commit.rb'
    - 'app/controllers/concerns/cycle_analytics_params.rb'
    - 'app/controllers/concerns/enforces_admin_authentication.rb'
    - 'app/controllers/concerns/enforces_two_factor_authentication.rb'
    - 'app/controllers/concerns/impersonation.rb'
    - 'app/controllers/concerns/issuable_actions.rb'
    - 'app/controllers/concerns/issuable_collections.rb'
    - 'app/controllers/concerns/oauth_applications.rb'
    - 'app/controllers/concerns/page_limiter.rb'
    - 'app/controllers/concerns/product_analytics_tracking.rb'
    - 'app/controllers/concerns/record_user_last_activity.rb'
    - 'app/controllers/concerns/routable_actions.rb'
    - 'app/controllers/concerns/snippets/blobs_actions.rb'
    - 'app/controllers/concerns/uploads_actions.rb'
    - 'app/controllers/dashboard/todos_controller.rb'
    - 'app/controllers/groups/application_controller.rb'
    - 'app/controllers/groups_controller.rb'
    - 'app/controllers/import/gitea_controller.rb'
    - 'app/controllers/import/github_controller.rb'
    - 'app/controllers/import/gitlab_controller.rb'
    - 'app/controllers/import/manifest_controller.rb'
    - 'app/controllers/omniauth_callbacks_controller.rb'
    - 'app/controllers/passwords_controller.rb'
    - 'app/controllers/profiles/two_factor_auths_controller.rb'
    - 'app/controllers/projects/application_controller.rb'
    - 'app/controllers/projects/blob_controller.rb'
    - 'app/controllers/projects/branches_controller.rb'
    - 'app/controllers/projects/commit_controller.rb'
    - 'app/controllers/projects/compare_controller.rb'
    - 'app/controllers/projects/design_management/designs/resized_image_controller.rb'
    - 'app/controllers/projects/design_management/designs_controller.rb'
    - 'app/controllers/projects/error_tracking_controller.rb'
    - 'app/controllers/projects/google_cloud/base_controller.rb'
    - 'app/controllers/projects/imports_controller.rb'
    - 'app/controllers/projects/issues_controller.rb'
    - 'app/controllers/projects/repositories_controller.rb'
    - 'app/controllers/projects/settings/operations_controller.rb'
    - 'app/controllers/projects/tree_controller.rb'
    - 'app/controllers/registrations_controller.rb'
    - 'app/controllers/repositories/git_http_controller.rb'
    - 'app/controllers/repositories/lfs_api_controller.rb'
    - 'app/controllers/search_controller.rb'
    - 'app/controllers/sessions_controller.rb'
    - 'app/controllers/users/terms_controller.rb'
    - 'app/finders/award_emojis_finder.rb'
    - 'app/finders/ci/auth_job_finder.rb'
    - 'app/finders/ci/runners_finder.rb'
    - 'app/finders/deployments_finder.rb'
    - 'app/finders/group_members_finder.rb'
    - 'app/finders/projects/serverless/functions_finder.rb'
    - 'app/finders/snippets_finder.rb'
    - 'app/graphql/mutations/concerns/mutations/spam_protection.rb'
    - 'app/graphql/mutations/design_management/delete.rb'
    - 'app/graphql/mutations/notes/create/note.rb'
    - 'app/graphql/mutations/notes/reposition_image_diff_note.rb'
    - 'app/graphql/resolvers/blobs_resolver.rb'
    - 'app/graphql/resolvers/board_list_issues_resolver.rb'
    - 'app/graphql/resolvers/concerns/board_item_filterable.rb'
    - 'app/graphql/resolvers/concerns/issue_resolver_arguments.rb'
    - 'app/graphql/resolvers/concerns/time_frame_arguments.rb'
    - 'app/graphql/resolvers/projects/jira_projects_resolver.rb'
    - 'app/graphql/types/ci/job_type.rb'
    - 'app/graphql/types/concerns/find_closest.rb'
    - 'app/helpers/admin/user_actions_helper.rb'
    - 'app/helpers/appearances_helper.rb'
    - 'app/helpers/application_helper.rb'
    - 'app/helpers/events_helper.rb'
    - 'app/helpers/issues_helper.rb'
    - 'app/helpers/nav/top_nav_helper.rb'
    - 'app/helpers/notes_helper.rb'
    - 'app/helpers/preferences_helper.rb'
    - 'app/helpers/profiles_helper.rb'
    - 'app/helpers/snippets_helper.rb'
    - 'app/helpers/tree_helper.rb'
    - 'app/helpers/visibility_level_helper.rb'
    - 'app/mailers/emails/notes.rb'
    - 'app/models/alert_management/http_integration.rb'
    - 'app/models/appearance.rb'
    - 'app/models/application_setting.rb'
    - 'app/models/bulk_imports/entity.rb'
    - 'app/models/ci/build.rb'
    - 'app/models/ci/build_trace.rb'
    - 'app/models/ci/job_artifact.rb'
    - 'app/models/ci/job_token/project_scope_link.rb'
    - 'app/models/ci/pipeline.rb'
    - 'app/models/ci/runner.rb'
    - 'app/models/clusters/cluster.rb'
    - 'app/models/clusters/platforms/kubernetes.rb'
    - 'app/models/commit_range.rb'
    - 'app/models/concerns/analytics/cycle_analytics/stage.rb'
    - 'app/models/concerns/avatarable.rb'
    - 'app/models/concerns/bulk_insert_safe.rb'
    - 'app/models/concerns/cache_markdown_field.rb'
    - 'app/models/concerns/cacheable_attributes.rb'
    - 'app/models/concerns/counter_attribute.rb'
    - 'app/models/concerns/deprecated_assignee.rb'
    - 'app/models/concerns/has_wiki_page_meta_attributes.rb'
    - 'app/models/concerns/issuable.rb'
    - 'app/models/concerns/issuable_link.rb'
    - 'app/models/concerns/metric_image_uploading.rb'
    - 'app/models/concerns/milestoneish.rb'
    - 'app/models/concerns/packages/debian/distribution_key.rb'
    - 'app/models/concerns/time_trackable.rb'
    - 'app/models/concerns/timebox.rb'
    - 'app/models/concerns/token_authenticatable_strategies/base.rb'
    - 'app/models/concerns/token_authenticatable_strategies/encrypted.rb'
    - 'app/models/custom_emoji.rb'
    - 'app/models/description_version.rb'
    - 'app/models/design_management/design.rb'
    - 'app/models/design_management/design_collection.rb'
    - 'app/models/diff_viewer/base.rb'
    - 'app/models/environment.rb'
    - 'app/models/error_tracking/error_event.rb'
    - 'app/models/error_tracking/project_error_tracking_setting.rb'
    - 'app/models/experiment_subject.rb'
    - 'app/models/external_pull_request.rb'
    - 'app/models/generic_commit_status.rb'
    - 'app/models/integrations/bamboo.rb'
    - 'app/models/integrations/base_issue_tracker.rb'
    - 'app/models/integrations/base_third_party_wiki.rb'
    - 'app/models/integrations/confluence.rb'
    - 'app/models/integrations/datadog.rb'
    - 'app/models/integrations/emails_on_push.rb'
    - 'app/models/integrations/harbor.rb'
    - 'app/models/integrations/jenkins.rb'
    - 'app/models/integrations/jira.rb'
    - 'app/models/integrations/pipelines_email.rb'
    - 'app/models/integrations/teamcity.rb'
    - 'app/models/internal_id.rb'
    - 'app/models/issue.rb'
    - 'app/models/member.rb'
    - 'app/models/members/project_member.rb'
    - 'app/models/merge_request.rb'
    - 'app/models/merge_request_assignee.rb'
    - 'app/models/merge_request_reviewer.rb'
    - 'app/models/namespace.rb'
    - 'app/models/namespace_setting.rb'
    - 'app/models/operations/feature_flags/strategy.rb'
    - 'app/models/operations/feature_flags/user_list.rb'
    - 'app/models/packages/conan/file_metadatum.rb'
    - 'app/models/packages/conan/metadatum.rb'
    - 'app/models/packages/maven/metadatum.rb'
    - 'app/models/packages/package.rb'
    - 'app/models/packages/pypi/metadatum.rb'
    - 'app/models/packages/rubygems/metadatum.rb'
    - 'app/models/pages_domain.rb'
    - 'app/models/personal_access_token.rb'
    - 'app/models/project.rb'
    - 'app/models/project_group_link.rb'
    - 'app/models/project_import_state.rb'
    - 'app/models/project_label.rb'
    - 'app/models/project_setting.rb'
    - 'app/models/protected_branch/push_access_level.rb'
    - 'app/models/repository.rb'
    - 'app/models/sent_notification.rb'
    - 'app/models/sentry_issue.rb'
    - 'app/models/service_desk_setting.rb'
    - 'app/models/snippet_input_action.rb'
    - 'app/models/user.rb'
    - 'app/models/users/in_product_marketing_email.rb'
    - 'app/models/wiki.rb'
    - 'app/presenters/ci/pipeline_presenter.rb'
    - 'app/presenters/merge_request_presenter.rb'
    - 'app/presenters/project_presenter.rb'
    - 'app/services/boards/issues/list_service.rb'
    - 'app/services/bulk_imports/file_download_service.rb'
    - 'app/services/ci/create_web_ide_terminal_service.rb'
    - 'app/services/ci/daily_build_group_report_result_service.rb'
    - 'app/services/ci/parse_dotenv_artifact_service.rb'
    - 'app/services/ci/pipelines/add_job_service.rb'
    - 'app/services/ci/play_build_service.rb'
    - 'app/services/ci/retry_job_service.rb'
    - 'app/services/ci/update_build_queue_service.rb'
    - 'app/services/clusters/agent_tokens/track_usage_service.rb'
    - 'app/services/clusters/aws/fetch_credentials_service.rb'
    - 'app/services/commits/commit_patch_service.rb'
    - 'app/services/commits/create_service.rb'
    - 'app/services/concerns/ci/job_token_scope/edit_scope_validations.rb'
    - 'app/services/concerns/rate_limited_service.rb'
    - 'app/services/concerns/update_repository_storage_methods.rb'
    - 'app/services/concerns/validates_classification_label.rb'
    - 'app/services/deployments/update_environment_service.rb'
    - 'app/services/draft_notes/destroy_service.rb'
    - 'app/services/files/delete_service.rb'
    - 'app/services/files/multi_service.rb'
    - 'app/services/files/update_service.rb'
    - 'app/services/git/branch_hooks_service.rb'
    - 'app/services/groups/group_links/update_service.rb'
    - 'app/services/groups/import_export/export_service.rb'
    - 'app/services/groups/transfer_service.rb'
    - 'app/services/groups/update_service.rb'
    - 'app/services/groups/update_shared_runners_service.rb'
    - 'app/services/ide/base_config_service.rb'
    - 'app/services/import/gitlab_projects/file_acquisition_strategies/remote_file.rb'
    - 'app/services/import/validate_remote_git_endpoint_service.rb'
    - 'app/services/issuable/bulk_update_service.rb'
    - 'app/services/issuable/clone/base_service.rb'
    - 'app/services/issuable/common_system_notes_service.rb'
    - 'app/services/issuable_base_service.rb'
    - 'app/services/issues/clone_service.rb'
    - 'app/services/issues/move_service.rb'
    - 'app/services/issues/update_service.rb'
    - 'app/services/merge_requests/add_spent_time_service.rb'
    - 'app/services/merge_requests/base_service.rb'
    - 'app/services/merge_requests/build_service.rb'
    - 'app/services/merge_requests/handle_assignees_change_service.rb'
    - 'app/services/merge_requests/merge_base_service.rb'
    - 'app/services/merge_requests/merge_service.rb'
    - 'app/services/merge_requests/mergeability_check_service.rb'
    - 'app/services/merge_requests/outdated_discussion_diff_lines_service.rb'
    - 'app/services/merge_requests/push_options_handler_service.rb'
    - 'app/services/merge_requests/refresh_service.rb'
    - 'app/services/metrics/dashboard/base_service.rb'
    - 'app/services/namespace_settings/update_service.rb'
    - 'app/services/notes/create_service.rb'
    - 'app/services/notes/post_process_service.rb'
    - 'app/services/notification_recipients/builder/default.rb'
    - 'app/services/notification_service.rb'
    - 'app/services/packages/create_event_service.rb'
    - 'app/services/packages/create_package_service.rb'
    - 'app/services/packages/nuget/search_service.rb'
    - 'app/services/post_receive_service.rb'
    - 'app/services/projects/after_rename_service.rb'
    - 'app/services/projects/create_service.rb'
    - 'app/services/projects/destroy_rollback_service.rb'
    - 'app/services/projects/destroy_service.rb'
    - 'app/services/projects/hashed_storage/rollback_service.rb'
    - 'app/services/projects/import_export/export_service.rb'
    - 'app/services/projects/import_service.rb'
    - 'app/services/projects/lfs_pointers/lfs_object_download_list_service.rb'
    - 'app/services/projects/update_pages_service.rb'
    - 'app/services/projects/update_repository_storage_service.rb'
    - 'app/services/projects/update_service.rb'
    - 'app/services/protected_branches/legacy_api_update_service.rb'
    - 'app/services/snippets/repository_validation_service.rb'
    - 'app/services/todo_service.rb'
    - 'app/services/users/build_service.rb'
    - 'app/services/users/update_service.rb'
    - 'app/services/wiki_pages/update_service.rb'
    - 'app/services/wikis/create_attachment_service.rb'
    - 'app/uploaders/content_type_whitelist.rb'
    - 'app/uploaders/file_mover.rb'
    - 'app/uploaders/file_uploader.rb'
    - 'app/validators/abstract_path_validator.rb'
    - 'app/validators/any_field_validator.rb'
    - 'app/validators/array_members_validator.rb'
    - 'app/validators/branch_filter_validator.rb'
    - 'app/validators/certificate_fingerprint_validator.rb'
    - 'app/validators/certificate_key_validator.rb'
    - 'app/validators/certificate_validator.rb'
    - 'app/validators/cron_validator.rb'
    - 'app/validators/feature_flag_strategies_validator.rb'
    - 'app/validators/feature_flag_user_xids_validator.rb'
    - 'app/validators/json_schema_validator.rb'
    - 'app/validators/key_restriction_validator.rb'
    - 'app/validators/line_code_validator.rb'
    - 'app/validators/named_ecdsa_key_validator.rb'
    - 'app/validators/rsa_key_validator.rb'
    - 'app/validators/top_level_group_validator.rb'
    - 'app/validators/x509_certificate_credentials_validator.rb'
    - 'app/workers/cleanup_container_repository_worker.rb'
    - 'app/workers/clusters/agents/delete_expired_events_worker.rb'
    - 'app/workers/concerns/application_worker.rb'
    - 'app/workers/container_registry/migration/guard_worker.rb'
    - 'app/workers/deployments/hooks_worker.rb'
    - 'app/workers/deployments/link_merge_request_worker.rb'
    - 'app/workers/gitlab/github_import/refresh_import_jid_worker.rb'
    - 'app/workers/packages/maven/metadata/sync_worker.rb'
    - 'app/workers/repository_update_remote_mirror_worker.rb'
    - 'config/initializers/0_inject_enterprise_edition_module.rb'
    - 'config/initializers/carrierwave_patch.rb'
    - 'config/initializers/devise_dynamic_password_length_validation.rb'
    - 'config/initializers/google_api_client_patch.rb'
    - 'config/initializers/postgresql_cte.rb'
    - 'config/object_store_settings.rb'
    - 'danger/feature_flag/Dangerfile'
    - 'db/migrate/20210302212623_rename_vuln_fingerprints_indexes.rb'
    - 'db/migrate/20210707095545_add_status_to_merge_request_cleanup_schedules.rb'
    - 'db/migrate/20210816095826_add_unique_index_on_dast_profile_to_dast_profile_schedules.rb'
    - 'db/migrate/20210816192041_add_invites_email_success_to_member.rb'
    - 'db/migrate/20210818061156_remove_project_profile_compound_index_from_dast_profile_schedules.rb'
    - 'db/migrate/20210830140524_add_state_to_member.rb'
    - 'db/migrate/20211202094944_move_loose_fk_deleted_records_to_dynamic_schema.rb'
    - 'db/migrate/20220215164709_update_application_settings_container_registry_exp_pol_worker_capacity_default.rb'
    - 'db/post_migrate/20210713042000_fix_ci_sources_pipelines_index_names.rb'
    - 'db/post_migrate/20210805192450_update_trial_plans_ci_daily_pipeline_schedule_triggers.rb'
    - 'db/post_migrate/20210907211557_finalize_ci_builds_bigint_conversion.rb'
    - 'ee/app/controllers/admin/emails_controller.rb'
    - 'ee/app/controllers/admin/geo/application_controller.rb'
    - 'ee/app/controllers/admin/geo/replicables_controller.rb'
    - 'ee/app/controllers/admin/geo/settings_controller.rb'
    - 'ee/app/controllers/concerns/audit_events/enforces_valid_date_params.rb'
    - 'ee/app/controllers/concerns/ee/membership_actions.rb'
    - 'ee/app/controllers/ee/groups/group_members_controller.rb'
    - 'ee/app/controllers/ee/groups_controller.rb'
    - 'ee/app/controllers/ee/registrations_controller.rb'
    - 'ee/app/controllers/groups/analytics/productivity_analytics_controller.rb'
    - 'ee/app/controllers/groups/billings_controller.rb'
    - 'ee/app/controllers/profiles/billings_controller.rb'
    - 'ee/app/controllers/projects/path_locks_controller.rb'
    - 'ee/app/controllers/projects/security/policies_controller.rb'
    - 'ee/app/controllers/projects/settings/slacks_controller.rb'
    - 'ee/app/controllers/smartcard_controller.rb'
    - 'ee/app/finders/ee/notes_finder.rb'
    - 'ee/app/finders/ee/template_finder.rb'
    - 'ee/app/finders/iterations_finder.rb'
    - 'ee/app/finders/security/vulnerabilities_finder.rb'
    - 'ee/app/graphql/mutations/iterations/create.rb'
    - 'ee/app/graphql/mutations/iterations/update.rb'
    - 'ee/app/graphql/mutations/projects/set_locked.rb'
    - 'ee/app/graphql/resolvers/analytics/devops_adoption/enabled_namespaces_resolver.rb'
    - 'ee/app/graphql/resolvers/epics_resolver.rb'
    - 'ee/app/graphql/resolvers/iterations_resolver.rb'
    - 'ee/app/helpers/ee/application_helper.rb'
    - 'ee/app/helpers/ee/award_emoji_helper.rb'
    - 'ee/app/helpers/ee/nav/new_dropdown_helper.rb'
    - 'ee/app/helpers/ee/nav/top_nav_helper.rb'
    - 'ee/app/helpers/ee/projects_helper.rb'
    - 'ee/app/models/allowed_email_domain.rb'
    - 'ee/app/models/app_sec/fuzzing/coverage/corpus.rb'
    - 'ee/app/models/approval_merge_request_rule_source.rb'
    - 'ee/app/models/concerns/app_sec/dast/buildable.rb'
    - 'ee/app/models/concerns/ee/protected_ref_access.rb'
    - 'ee/app/models/concerns/elastic/application_versioned_search.rb'
    - 'ee/app/models/concerns/geo/verifiable_replicator.rb'
    - 'ee/app/models/dast/profile.rb'
    - 'ee/app/models/dast_site.rb'
    - 'ee/app/models/dast_site_profile.rb'
    - 'ee/app/models/ee/application_setting.rb'
    - 'ee/app/models/ee/epic.rb'
    - 'ee/app/models/ee/group_member.rb'
    - 'ee/app/models/ee/incident_management/issuable_escalation_status.rb'
    - 'ee/app/models/ee/issue.rb'
    - 'ee/app/models/ee/issue_assignee.rb'
    - 'ee/app/models/ee/iteration.rb'
    - 'ee/app/models/ee/member.rb'
    - 'ee/app/models/ee/merge_request.rb'
    - 'ee/app/models/ee/namespace.rb'
    - 'ee/app/models/ee/project.rb'
    - 'ee/app/models/ee/project_member.rb'
    - 'ee/app/models/ee/user.rb'
    - 'ee/app/models/elasticsearch_indexed_project.rb'
    - 'ee/app/models/epic/related_epic_link.rb'
    - 'ee/app/models/epic_issue.rb'
    - 'ee/app/models/geo_node.rb'
    - 'ee/app/models/geo_node_status.rb'
    - 'ee/app/models/incident_management/escalation_rule.rb'
    - 'ee/app/models/incident_management/oncall_rotation.rb'
    - 'ee/app/models/ip_restriction.rb'
    - 'ee/app/models/iterations/cadence.rb'
    - 'ee/app/models/namespace_limit.rb'
    - 'ee/app/models/preloaders/environments/protected_environment_preloader.rb'
    - 'ee/app/models/protected_environment.rb'
    - 'ee/app/models/users_security_dashboard_project.rb'
    - 'ee/app/models/vulnerabilities/feedback.rb'
    - 'ee/app/presenters/ee/merge_request_presenter.rb'
    - 'ee/app/services/analytics/cycle_analytics/validations.rb'
    - 'ee/app/services/analytics/cycle_analytics/value_streams/create_service.rb'
    - 'ee/app/services/analytics/devops_adoption/enabled_namespaces/common_methods.rb'
    - 'ee/app/services/app_sec/dast/profiles/create_service.rb'
    - 'ee/app/services/app_sec/dast/profiles/update_service.rb'
    - 'ee/app/services/approval_rules/create_service.rb'
    - 'ee/app/services/approval_rules/params_filtering_service.rb'
    - 'ee/app/services/approval_rules/update_service.rb'
    - 'ee/app/services/billable_members/destroy_service.rb'
    - 'ee/app/services/ci/minutes/update_project_and_namespace_usage_service.rb'
    - 'ee/app/services/dora/aggregate_metrics_service.rb'
    - 'ee/app/services/ee/alert_management/alerts/update_service.rb'
    - 'ee/app/services/ee/audit_event_service.rb'
    - 'ee/app/services/ee/ci/play_bridge_service.rb'
    - 'ee/app/services/ee/ci/play_build_service.rb'
    - 'ee/app/services/ee/ci/retry_job_service.rb'
    - 'ee/app/services/ee/commits/create_service.rb'
    - 'ee/app/services/ee/groups/update_service.rb'
    - 'ee/app/services/ee/issuable/common_system_notes_service.rb'
    - 'ee/app/services/ee/issues/base_service.rb'
    - 'ee/app/services/ee/merge_requests/merge_base_service.rb'
    - 'ee/app/services/ee/merge_requests/post_merge_service.rb'
    - 'ee/app/services/ee/merge_requests/refresh_service.rb'
    - 'ee/app/services/ee/namespace_settings/update_service.rb'
    - 'ee/app/services/ee/projects/create_service.rb'
    - 'ee/app/services/ee/projects/gitlab_projects_import_service.rb'
    - 'ee/app/services/ee/projects/update_service.rb'
    - 'ee/app/services/ee/protected_branches/loggable.rb'
    - 'ee/app/services/ee/wiki_pages/base_service.rb'
    - 'ee/app/services/epics/close_service.rb'
    - 'ee/app/services/epics/create_service.rb'
    - 'ee/app/services/epics/reopen_service.rb'
    - 'ee/app/services/epics/tree_reorder_service.rb'
    - 'ee/app/services/epics/update_service.rb'
    - 'ee/app/services/geo/framework_repository_sync_service.rb'
    - 'ee/app/services/geo/metrics_update_service.rb'
    - 'ee/app/services/geo/repository_base_sync_service.rb'
    - 'ee/app/services/group_saml/group_managed_accounts/transfer_membership_service.rb'
    - 'ee/app/services/groups/update_repository_storage_service.rb'
    - 'ee/app/services/incident_management/oncall_rotations/remove_participant_service.rb'
    - 'ee/app/services/iterations/delete_service.rb'
    - 'ee/app/services/merge_trains/check_status_service.rb'
    - 'ee/app/services/merge_trains/refresh_merge_request_service.rb'
    - 'ee/app/services/merge_trains/refresh_service.rb'
    - 'ee/app/services/namespaces/storage/email_notification_service.rb'
    - 'ee/app/services/projects/slack_application_install_service.rb'
    - 'ee/app/services/projects/update_mirror_service.rb'
    - 'ee/app/services/security/override_uuids_service.rb'
    - 'ee/app/services/timebox_report_service.rb'
    - 'ee/app/validators/host_validator.rb'
    - 'ee/app/workers/ee/ci/build_finished_worker.rb'
    - 'ee/app/workers/ee/post_receive.rb'
    - 'ee/app/workers/elastic/migration_worker.rb'
    - 'ee/app/workers/elastic_namespace_rollout_worker.rb'
    - 'ee/app/workers/epics/new_epic_issue_worker.rb'
    - 'ee/app/workers/geo/scheduler/scheduler_worker.rb'
    - 'ee/app/workers/scan_security_report_secrets_worker.rb'
    - 'ee/app/workers/sync_seat_link_request_worker.rb'
    - 'ee/db/geo/migrate/20180314175612_add_partial_index_to_project_registy_verification_failure_columns.rb'
    - 'ee/db/geo/migrate/20180315222132_add_partial_index_to_project_registy_checksum_columns.rb'
    - 'ee/db/geo/migrate/20180412213305_add_index_to_artifact_id_on_job_artifact_registry.rb'
    - 'ee/lib/ee/api/ci/job_artifacts.rb'
    - 'ee/lib/ee/api/features.rb'
    - 'ee/lib/ee/api/helpers/projects_helpers.rb'
    - 'ee/lib/ee/api/projects.rb'
    - 'ee/lib/ee/api/search.rb'
    - 'ee/lib/ee/audit/project_ci_cd_setting_changes_auditor.rb'
    - 'ee/lib/ee/gitlab/auth/ldap/access.rb'
    - 'ee/lib/ee/gitlab/auth/ldap/sync/group.rb'
    - 'ee/lib/ee/gitlab/auth/o_auth/user.rb'
    - 'ee/lib/ee/gitlab/background_migration/migrate_approver_to_approval_rules_check_progress.rb'
    - 'ee/lib/ee/gitlab/checks/push_rules/commit_check.rb'
    - 'ee/lib/ee/gitlab/cleanup/orphan_job_artifact_files.rb'
    - 'ee/lib/ee/gitlab/git_access.rb'
    - 'ee/lib/ee/gitlab/gon_helper.rb'
    - 'ee/lib/ee/gitlab/omniauth_initializer.rb'
    - 'ee/lib/ee/sidebars/projects/panel.rb'
    - 'ee/lib/elastic/latest/application_class_proxy.rb'
    - 'ee/lib/gitlab/analytics/cycle_analytics/summary/base_time.rb'
    - 'ee/lib/gitlab/ci/config/security_orchestration_policies/processor.rb'
    - 'ee/lib/gitlab/ci/minutes/cost_factor.rb'
    - 'ee/lib/gitlab/compliance_management/violations/approved_by_insufficient_users.rb'
    - 'ee/lib/gitlab/compliance_management/violations/approved_by_merge_request_author.rb'
    - 'ee/lib/gitlab/geo/geo_node_status_check.rb'
    - 'ee/lib/gitlab/geo/git_push_http.rb'
    - 'ee/lib/gitlab/geo/log_cursor/daemon.rb'
    - 'ee/lib/gitlab/geo/oauth/logout_token.rb'
    - 'ee/lib/gitlab/geo/replicator.rb'
    - 'ee/lib/gitlab/graphql/aggregations/epics/lazy_epic_aggregate.rb'
    - 'ee/lib/gitlab/insights/project_insights_config.rb'
    - 'ee/lib/gitlab/insights/reducers/count_per_label_reducer.rb'
    - 'ee/lib/gitlab/insights/reducers/count_per_period_reducer.rb'
    - 'ee/lib/gitlab/insights/serializers/chartjs/bar_serializer.rb'
    - 'ee/lib/gitlab/insights/serializers/chartjs/multi_series_serializer.rb'
    - 'ee/lib/gitlab/insights/validators/params_validator.rb'
    - 'ee/lib/omni_auth/strategies/group_saml.rb'
    - 'ee/lib/pseudonymizer/dumper.rb'
    - 'ee/spec/features/billings/billing_plans_spec.rb'
    - 'ee/spec/lib/ee/gitlab/background_migration/migrate_approver_to_approval_rules_spec.rb'
    - 'ee/spec/workers/update_max_seats_used_for_gitlab_com_subscriptions_worker_spec.rb'
    - 'haml_lint/linter/documentation_links.rb'
    - 'lib/api/commits.rb'
    - 'lib/api/error_tracking/collector.rb'
    - 'lib/api/feature_flags.rb'
    - 'lib/api/helpers.rb'
    - 'lib/api/helpers/packages/conan/api_helpers.rb'
    - 'lib/api/helpers/projects_helpers.rb'
    - 'lib/api/helpers/snippets_helpers.rb'
    - 'lib/api/helpers/version.rb'
    - 'lib/api/internal/base.rb'
    - 'lib/api/projects.rb'
    - 'lib/backup/files.rb'
    - 'lib/banzai/filter/external_link_filter.rb'
    - 'lib/banzai/filter/gollum_tags_filter.rb'
    - 'lib/banzai/filter/references/merge_request_reference_filter.rb'
    - 'lib/banzai/filter/wiki_link_filter/rewriter.rb'
    - 'lib/bulk_imports/clients/graphql.rb'
    - 'lib/bulk_imports/clients/http.rb'
    - 'lib/bulk_imports/projects/pipelines/project_pipeline.rb'
    - 'lib/container_registry/client.rb'
    - 'lib/feature/definition.rb'
    - 'lib/gem_extensions/active_record/association.rb'
    - 'lib/gitlab/analytics/cycle_analytics/request_params.rb'
    - 'lib/gitlab/auth.rb'
    - 'lib/gitlab/auth/ldap/adapter.rb'
    - 'lib/gitlab/auth/o_auth/user.rb'
    - 'lib/gitlab/auth/unique_ips_limiter.rb'
    - 'lib/gitlab/background_migration/fix_projects_without_project_feature.rb'
    - 'lib/gitlab/bitbucket_import/importer.rb'
    - 'lib/gitlab/bitbucket_server_import/importer.rb'
    - 'lib/gitlab/blob_helper.rb'
    - 'lib/gitlab/cache/ci/project_pipeline_status.rb'
    - 'lib/gitlab/changelog/config.rb'
    - 'lib/gitlab/chat/responder.rb'
    - 'lib/gitlab/checks/branch_check.rb'
    - 'lib/gitlab/checks/matching_merge_request.rb'
    - 'lib/gitlab/checks/push_file_count_check.rb'
    - 'lib/gitlab/ci/ansi2json/parser.rb'
    - 'lib/gitlab/ci/ansi2json/state.rb'
    - 'lib/gitlab/ci/artifact_file_reader.rb'
    - 'lib/gitlab/ci/build/policy/kubernetes.rb'
    - 'lib/gitlab/ci/build/policy/refs.rb'
    - 'lib/gitlab/ci/config.rb'
    - 'lib/gitlab/ci/config/entry/job.rb'
    - 'lib/gitlab/ci/config/entry/processable.rb'
    - 'lib/gitlab/ci/config/extendable/entry.rb'
    - 'lib/gitlab/ci/config/external/file/base.rb'
    - 'lib/gitlab/ci/config/external/file/remote.rb'
    - 'lib/gitlab/ci/config/external/file/template.rb'
    - 'lib/gitlab/ci/config/external/mapper.rb'
    - 'lib/gitlab/ci/parsers/coverage/sax_document.rb'
    - 'lib/gitlab/ci/parsers/security/common.rb'
    - 'lib/gitlab/ci/pipeline/chain/command.rb'
    - 'lib/gitlab/ci/pipeline/chain/limit/rate_limit.rb'
    - 'lib/gitlab/ci/pipeline/chain/skip.rb'
    - 'lib/gitlab/ci/pipeline/chain/validate/abilities.rb'
    - 'lib/gitlab/ci/pipeline/chain/validate/repository.rb'
    - 'lib/gitlab/ci/pipeline/expression/lexeme/base.rb'
    - 'lib/gitlab/ci/pipeline/expression/lexeme/pattern.rb'
    - 'lib/gitlab/ci/reports/codequality_reports_comparer.rb'
    - 'lib/gitlab/ci/reports/security/vulnerability_reports_comparer.rb'
    - 'lib/gitlab/ci/runner/backoff.rb'
    - 'lib/gitlab/ci/trace.rb'
    - 'lib/gitlab/ci/trace/archive.rb'
    - 'lib/gitlab/ci/trace/stream.rb'
    - 'lib/gitlab/ci/yaml_processor.rb'
    - 'lib/gitlab/config/entry/validators.rb'
    - 'lib/gitlab/database/background_migration/batch_optimizer.rb'
    - 'lib/gitlab/database/background_migration/batched_migration_wrapper.rb'
    - 'lib/gitlab/database/consistency_checker.rb'
    - 'lib/gitlab/database/load_balancing/configuration.rb'
    - 'lib/gitlab/database/load_balancing/load_balancer.rb'
    - 'lib/gitlab/database/migration_helpers.rb'
    - 'lib/gitlab/database/migration_helpers/v2.rb'
    - 'lib/gitlab/database/partitioning/partition_manager.rb'
    - 'lib/gitlab/database/partitioning/sliding_list_strategy.rb'
    - 'lib/gitlab/database/postgresql_adapter/force_disconnectable_mixin.rb'
    - 'lib/gitlab/database/query_analyzers/restrict_allowed_schemas.rb'
    - 'lib/gitlab/diff/custom_diff.rb'
    - 'lib/gitlab/diff/file.rb'
    - 'lib/gitlab/diff/highlight.rb'
    - 'lib/gitlab/diff/highlight_cache.rb'
    - 'lib/gitlab/email/handler/create_merge_request_handler.rb'
    - 'lib/gitlab/email/handler/create_note_on_issuable_handler.rb'
    - 'lib/gitlab/email/handler/service_desk_handler.rb'
    - 'lib/gitlab/email/hook/email_template_interceptor.rb'
    - 'lib/gitlab/email/receiver.rb'
    - 'lib/gitlab/endpoint_attributes/config.rb'
    - 'lib/gitlab/error_tracking.rb'
    - 'lib/gitlab/event_store/event.rb'
    - 'lib/gitlab/event_store/store.rb'
    - 'lib/gitlab/exception_log_formatter.rb'
    - 'lib/gitlab/fogbugz_import/importer.rb'
    - 'lib/gitlab/git/tag.rb'
    - 'lib/gitlab/git_access.rb'
    - 'lib/gitlab/git_access_design.rb'
    - 'lib/gitlab/git_access_snippet.rb'
    - 'lib/gitlab/gitaly_client/blobs_stitcher.rb'
    - 'lib/gitlab/gitaly_client/conflicts_service.rb'
    - 'lib/gitlab/gitaly_client/operation_service.rb'
    - 'lib/gitlab/gitaly_client/wiki_service.rb'
    - 'lib/gitlab/github_import.rb'
    - 'lib/gitlab/github_import/client.rb'
    - 'lib/gitlab/github_import/importer/pull_request_importer.rb'
    - 'lib/gitlab/github_import/importer/pull_request_merged_by_importer.rb'
    - 'lib/gitlab/github_import/importer/pull_request_review_importer.rb'
    - 'lib/gitlab/github_import/object_counter.rb'
    - 'lib/gitlab/gitlab_import/client.rb'
    - 'lib/gitlab/gitlab_import/importer.rb'
    - 'lib/gitlab/graphql/pagination/keyset/conditions/not_null_condition.rb'
    - 'lib/gitlab/graphql/pagination/keyset/conditions/null_condition.rb'
    - 'lib/gitlab/graphql/pagination/keyset/order_info.rb'
    - 'lib/gitlab/graphql/pagination/keyset/query_builder.rb'
    - 'lib/gitlab/graphql/query_analyzers/recursion_analyzer.rb'
    - 'lib/gitlab/i18n/metadata_entry.rb'
    - 'lib/gitlab/i18n/po_linter.rb'
    - 'lib/gitlab/import_export/after_export_strategies/web_upload_strategy.rb'
    - 'lib/gitlab/import_export/base/object_builder.rb'
    - 'lib/gitlab/import_export/base/relation_factory.rb'
    - 'lib/gitlab/import_export/command_line_util.rb'
    - 'lib/gitlab/import_export/group/tree_restorer.rb'
    - 'lib/gitlab/import_export/importer.rb'
    - 'lib/gitlab/import_export/repo_restorer.rb'
    - 'lib/gitlab/import_export/snippet_repo_restorer.rb'
    - 'lib/gitlab/import_export/version_checker.rb'
    - 'lib/gitlab/instrumentation/redis_cluster_validator.rb'
    - 'lib/gitlab/instrumentation/uploads.rb'
    - 'lib/gitlab/legacy_github_import/client.rb'
    - 'lib/gitlab/legacy_github_import/issuable_formatter.rb'
    - 'lib/gitlab/marginalia.rb'
    - 'lib/gitlab/metrics/samplers/ruby_sampler.rb'
    - 'lib/gitlab/metrics/subscribers/action_cable.rb'
    - 'lib/gitlab/metrics/subscribers/active_record.rb'
    - 'lib/gitlab/metrics/subscribers/external_http.rb'
    - 'lib/gitlab/metrics/subscribers/rails_cache.rb'
    - 'lib/gitlab/metrics/web_transaction.rb'
    - 'lib/gitlab/middleware/read_only/controller.rb'
    - 'lib/gitlab/pagination/gitaly_keyset_pager.rb'
    - 'lib/gitlab/pagination/keyset/column_order_definition.rb'
    - 'lib/gitlab/pagination/keyset/in_operator_optimization/array_scope_columns.rb'
    - 'lib/gitlab/pagination/keyset/order.rb'
    - 'lib/gitlab/pagination/keyset/pager.rb'
    - 'lib/gitlab/pagination/keyset/paginator.rb'
    - 'lib/gitlab/pagination/keyset/simple_order_builder.rb'
    - 'lib/gitlab/patch/global_id.rb'
    - 'lib/gitlab/patch/sprockets_base_file_digest_key.rb'
    - 'lib/gitlab/process_supervisor.rb'
    - 'lib/gitlab/prometheus/query_variables.rb'
    - 'lib/gitlab/prometheus_client.rb'
    - 'lib/gitlab/recaptcha.rb'
    - 'lib/gitlab/relative_positioning/mover.rb'
    - 'lib/gitlab/sanitizers/exif.rb'
    - 'lib/gitlab/search/abuse_validators/no_abusive_coercion_from_string_validator.rb'
    - 'lib/gitlab/search/abuse_validators/no_abusive_term_length_validator.rb'
    - 'lib/gitlab/search/params.rb'
    - 'lib/gitlab/serializer/pagination.rb'
    - 'lib/gitlab/serverless/service.rb'
    - 'lib/gitlab/shell.rb'
    - 'lib/gitlab/sidekiq_config/cli_methods.rb'
    - 'lib/gitlab/sidekiq_middleware/extra_done_log_metadata.rb'
    - 'lib/gitlab/sidekiq_middleware/size_limiter/compressor.rb'
    - 'lib/gitlab/sql/set_operator.rb'
    - 'lib/gitlab/ssh_public_key.rb'
    - 'lib/gitlab/url_blocker.rb'
    - 'lib/gitlab/usage/metric_definition.rb'
    - 'lib/gitlab/usage_data_counters/ci_template_unique_counter.rb'
    - 'lib/gitlab/utils.rb'
    - 'lib/gitlab/utils/override.rb'
    - 'lib/gitlab/webpack/manifest.rb'
    - 'lib/mattermost/session.rb'
    - 'lib/release_highlights/validator/entry.rb'
    - 'lib/safe_zip/entry.rb'
    - 'lib/system_check/app/systemd_unit_files_or_init_script_up_to_date_check.rb'
    - 'lib/system_check/incoming_email/mail_room_running_check.rb'
    - 'lib/tasks/config_lint.rake'
    - 'lib/tasks/gettext.rake'
    - 'qa/qa/ee/page/file/show.rb'
    - 'qa/qa/ee/resource/license.rb'
    - 'qa/qa/mobile/page/main/menu.rb'
    - 'qa/qa/mobile/page/sub_menus/common.rb'
    - 'qa/qa/page/base.rb'
    - 'qa/qa/page/component/invite_members_modal.rb'
    - 'qa/qa/page/component/select2.rb'
    - 'qa/qa/page/component/snippet.rb'
    - 'qa/qa/page/mattermost/login.rb'
    - 'qa/qa/page/page_concern.rb'
    - 'qa/qa/resource/api_fabricator.rb'
    - 'qa/qa/resource/package.rb'
    - 'qa/qa/resource/registry_repository.rb'
    - 'qa/qa/resource/reusable.rb'
    - 'qa/qa/resource/user_gpg.rb'
    - 'qa/qa/runtime/feature.rb'
    - 'qa/qa/runtime/search.rb'
    - 'qa/qa/service/cluster_provider/gcloud.rb'
    - 'qa/qa/service/docker_run/gitlab_runner.rb'
    - 'qa/qa/specs/features/browser_ui/1_manage/login/register_spec.rb'
    - 'qa/qa/specs/features/ee/browser_ui/11_fulfillment/purchase/free_trial_spec.rb'
    - 'qa/qa/specs/features/ee/browser_ui/1_manage/group/group_audit_logs_1_spec.rb'
    - 'qa/qa/specs/features/ee/browser_ui/1_manage/group/group_file_template_spec.rb'
    - 'qa/qa/specs/features/ee/browser_ui/1_manage/project/project_audit_logs_spec.rb'
    - 'qa/qa/specs/helpers/feature_flag.rb'
    - 'qa/qa/support/page_error_checker.rb'
    - 'rubocop/cop/api/grape_array_missing_coerce.rb'
    - 'rubocop/cop/gitlab/duplicate_spec_location.rb'
    - 'rubocop/cop/gitlab/event_store_subscriber.rb'
    - 'rubocop/cop/gitlab/finder_with_find_by.rb'
    - 'rubocop/cop/gitlab/keys_first_and_values_first.rb'
    - 'rubocop/cop/gitlab/policy_rule_boolean.rb'
    - 'rubocop/cop/ignored_columns.rb'
    - 'rubocop/cop/migration/add_limit_to_text_columns.rb'
    - 'rubocop/cop/migration/update_column_in_batches.rb'
    - 'rubocop/cop/rspec/web_mock_enable.rb'
    - 'rubocop/cop/usage_data/histogram_with_large_table.rb'
    - 'rubocop/cop/usage_data/large_table.rb'
    - 'rubocop/routes_under_scope.rb'
    - 'scripts/lint_templates_bash.rb'
    - 'scripts/setup/find-jh-branch.rb'
    - 'scripts/trigger-build.rb'
    - 'spec/deprecation_toolkit_env.rb'
    - 'spec/features/issuables/issuable_list_spec.rb'
    - 'spec/features/projects/blobs/edit_spec.rb'
    - 'spec/features/refactor_blob_viewer_disabled/projects/blobs/edit_spec.rb'
    - 'spec/lib/gitlab/database/migrations/background_migration_helpers_spec.rb'
    - 'spec/services/issues/relative_position_rebalancing_service_spec.rb'
    - 'spec/services/packages/maven/metadata/append_package_file_service_spec.rb'
    - 'spec/support/capybara.rb'
    - 'spec/support/database/prevent_cross_joins.rb'
    - 'spec/support/helpers/access_matchers_helpers.rb'
    - 'spec/support/helpers/bare_repo_operations.rb'
    - 'spec/support/helpers/capybara_helpers.rb'
    - 'spec/support/helpers/dropzone_helper.rb'
    - 'spec/support/helpers/fake_blob_helpers.rb'
    - 'spec/support/helpers/filtered_search_helpers.rb'
    - 'spec/support/helpers/gitaly_setup.rb'
    - 'spec/support/helpers/javascript_fixtures_helpers.rb'
    - 'spec/support/helpers/login_helpers.rb'
    - 'spec/support/helpers/stub_gitlab_calls.rb'
    - 'spec/support/helpers/test_env.rb'
    - 'spec/support/helpers/wait_helpers.rb'
    - 'spec/support/import_export/export_file_helper.rb'
    - 'spec/support/shared_examples/features/packages_shared_examples.rb'
    - 'spec/support/shared_examples/services/packages/debian/generate_distribution_shared_examples.rb'
    - 'spec/workers/container_expiration_policies/cleanup_container_repository_worker_spec.rb'
    - 'tooling/lib/tooling/helm3_client.rb'
    - 'tooling/lib/tooling/image.rb'
    - 'tooling/lib/tooling/kubernetes_client.rb'
    - 'tooling/rspec_flaky/flaky_example.rb'
    - 'tooling/rspec_flaky/listener.rb'
